<template>


	<div class="cg-sales-table-wrap font1">
                <div class="cg-dash-items-grid cg-seller-dash-padding no-border-btm">
                    <ul class="cg-seller-dash-nav d-flex justify-content-start">

                        <li><router-link v-on:click="preLoad()" :to="{ name: 'this-month' }" active-class = "cg-active w700">This Month</router-link></li>
                        <li><router-link v-on:click="preLoad()" :to="{ name: 'last-month'  }" active-class = "cg-active w700">Last Month</router-link></li>
                        <li><router-link v-on:click="preLoad()" :to="{ name: 'last-year'  }" active-class = "cg-active w700">Last Year</router-link></li>
                        <li><router-link v-on:click="preLoad()" :to="{ name: 'all-time'  }" active-class = "cg-active w700">All Time</router-link></li>
                    </ul>

                    <router-view :user="user_" ></router-view>

                    </div>
                </div>
</template>

<script>

    import Preloader from '../components/Preloader.vue';
    export default {
        props: ['user','message','countries'],

        data(){
            return{
                message_:this.message,
                user_:JSON.parse(this.user),
                countries_:JSON.parse(this.countries),

            }

        },
        components:{
            Preloader
        },

        methods: {

            preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".cg-product-grid-wrap",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": 1,
                    }
                });

                // and close. That's it.
                setTimeout(close, 1500);
            }

        },
        mounted(){
            this.preLoad() ;
        }
    }

</script>
